Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpsf
Class UnexpectedPropertySetTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.poi.hpsf.HPSFException
                  org.apache.poi.hpsf.UnexpectedPropertySetTypeException

All Implemented Interfaces:
  java.io.Serializable

    public class UnexpectedPropertySetTypeException

extends HPSFException

This exception is thrown if a certain type of property set is expected (e.g. a Document Summary Information) but the provided property set is not of that type.

The constructors of this class are analogous to those of its superclass and documented there.

Author:
  Rainer Klute <klute@rainer-klute.de>
See Also:
  Serialized Form

Constructor Summary
`UnexpectedPropertySetTypeException()` Creates an `UnexpectedPropertySetTypeException`.
`UnexpectedPropertySetTypeException(java.lang.String msg)` Creates an `UnexpectedPropertySetTypeException` with a message string.
`UnexpectedPropertySetTypeException(java.lang.String msg, java.lang.Throwable reason)` Creates an `UnexpectedPropertySetTypeException` with a message string and a reason.
`UnexpectedPropertySetTypeException(java.lang.Throwable reason)` Creates a new `UnexpectedPropertySetTypeException` with a reason.

Method Summary

Methods inherited from class org.apache.poi.hpsf.HPSFException
`getReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnexpectedPropertySetTypeException

    public UnexpectedPropertySetTypeException()

  Creates an `UnexpectedPropertySetTypeException`.

### UnexpectedPropertySetTypeException

    public UnexpectedPropertySetTypeException(java.lang.String msg)

  Creates an `UnexpectedPropertySetTypeException` with a message string.

  Parameters:
    `msg` - The message string.

### UnexpectedPropertySetTypeException

    public UnexpectedPropertySetTypeException(java.lang.Throwable reason)

  Creates a new `UnexpectedPropertySetTypeException` with a reason.

  Parameters:
    `reason` - The reason, i.e. a throwable that indirectly caused this exception.

### UnexpectedPropertySetTypeException

    public UnexpectedPropertySetTypeException(java.lang.String msg,
                                              java.lang.Throwable reason)

  Creates an `UnexpectedPropertySetTypeException` with a message string and a reason.

  Parameters:
    `msg` - The message string.
    `reason` - The reason, i.e. a throwable that indirectly caused this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD